#!/bin/sh

set -e
set -u
set -x

test -d "$AUTOPKGTEST_TMP"
test "$(echo "$AUTOPKGTEST_TMP"/*)" = "$AUTOPKGTEST_TMP/*"

if [ -n "${DEB_HOST_GNU_TYPE:-}" ]; then
    CROSS_COMPILE="$DEB_HOST_GNU_TYPE-"
else
    CROSS_COMPILE=
fi

install -m644 tests/test_gfshare_blockwise_simple.c "$AUTOPKGTEST_TMP"/

cd "$AUTOPKGTEST_TMP"
# Deliberately word-splitting, that's how pkg-config works:
# shellcheck disable=SC2046
"${CROSS_COMPILE}gcc" -oblockwise-simple test_gfshare_blockwise_simple.c $("${CROSS_COMPILE}pkg-config" --cflags --libs libgfshare)
exec ./blockwise-simple
